import { ChangeEvent } from "react";

interface SelectProps {
	value: string | number;
	onChange: (event: ChangeEvent<HTMLSelectElement>) => void;
	options: string[];
	label: string;
	disabledLabel: string;
}

const Select = ({ value, onChange, options, disabledLabel }: SelectProps) => (
	<select className="select w-full input input-secondary" value={value} onChange={onChange}>
		<option disabled>{disabledLabel}</option>
		{options.map((option, index) => (
			<option key={option} value={index}>
				{option}
			</option>
		))}
	</select>
);

export default Select;
