import { createContext } from "react";

// Define the shape of the context
export type ConfirmationDialogContextType = {
	isConfirmationDialogVisible: boolean;
	showDialog: () => void;
	hideDialog: () => void;
	handleConfirm: () => void;
	handleCancel: () => void;
	customModalStyles: string;
	customModalBoxStyles: string;
	setCustomModalBoxStyles: React.Dispatch<React.SetStateAction<string>>;
	setCustomModalStyles: React.Dispatch<React.SetStateAction<string>>;
};
// Create the context with default values
export const ConfirmationDialogContext = createContext<ConfirmationDialogContextType | undefined>(undefined);
ConfirmationDialogContext.displayName = "ConfirmationDialog";
