import { useLocation } from "react-router-dom";
import { flatRoutes } from "../configure";

function Debugger() {
	const windowLocation = window.location.pathname;
	const locationHook = useLocation();
	return (
		<div className="m-auto p-4">
			<details className="collapse bg-base-200 mb-4">
				<summary className="collapse-title text-xl font-medium">Flat Routes</summary>
				<code className="collapse-content">{JSON.stringify(flatRoutes)}</code>
			</details>
			<details className="collapse bg-base-200 mb-4">
				<summary className="collapse-title text-xl font-medium">Locations</summary>
				<div className="collapse-content">
					<code>Location hook: {JSON.stringify(locationHook)}</code>
					<br />
					<code>Location window: {JSON.stringify(windowLocation)}</code>
				</div>
			</details>
			<details className="collapse bg-base-200 mb-4">
				<summary className="collapse-title text-xl font-medium">Routes</summary>
				<code className="collapse-content">{JSON.stringify(flatRoutes)}</code>
			</details>
		</div>
	);
}

export default Debugger;
