export interface ToolParams {
	name: string;
	plate: string;
	predkoscObrotowaWrzeciona: number;
	predkoscSkrawania: number;
	predkoscPosuwu: number;
	posuwNaOstrze: number;
	posuwNaObrot: number;
	wydajnoscObjetosciowa: number;
}
export interface Tool {
	rodzajFrezowania: number;
	rodzajObrobki: number;
	material: number;
	chropowatosc: number;
	tolerancja: number;
	szerokoscSkrawania: number;
	glebokoscSkrawania: number;
	params: ToolParams;
}
export interface Database {
	name: string;
	version: string;
	tools: Tool[];
}

export const toolsDatabase: Database = {
	name: "Baza narzędzi obróbki skrawaniem",
	version: "1.2",
	tools: [
		{
			rodzajFrezowania: 1,
			rodzajObrobki: 0,
			material: 1,
			chropowatosc: 5,
			tolerancja: 3,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 20,
			params: {
				name: "Coromill 390 R390-20T10-11M",
				plate: "R390-11 T3 08M-MM 1040",
				predkoscObrotowaWrzeciona: 2680,
				predkoscSkrawania: 168,
				predkoscPosuwu: 1090,
				posuwNaOstrze: 0.136,
				posuwNaObrot: 0.407,
				wydajnoscObjetosciowa: 64.8,
			},
		},
		{
			rodzajFrezowania: 0,
			rodzajObrobki: 2,
			material: 2,
			chropowatosc: 7,
			tolerancja: 2,
			glebokoscSkrawania: 6,
			szerokoscSkrawania: 44.5,
			params: {
				name: "CoroMill 245 R245-032A32-12M (Wstępna)",
				plate: "R245-12 T3 E1 6190",
				predkoscObrotowaWrzeciona: 10800,
				predkoscSkrawania: 1520,
				predkoscPosuwu: 9030,
				posuwNaOstrze: 0.278,
				posuwNaObrot: 0.836,
				wydajnoscObjetosciowa: 552,
			},
		},
		{
			rodzajFrezowania: 0,
			rodzajObrobki: 2,
			material: 2,
			chropowatosc: 7,
			tolerancja: 2,
			glebokoscSkrawania: 6,
			szerokoscSkrawania: 44.5,
			params: {
				name: "CoroMill 245 R245-032A32-12M (Wykańczająca)",
				plate: "R245-12 T3 E1 6190",
				predkoscObrotowaWrzeciona: 13800,
				predkoscSkrawania: 1520,
				predkoscPosuwu: 4420,
				posuwNaOstrze: 0.107,
				posuwNaObrot: 0.32,
				wydajnoscObjetosciowa: 55.3,
			},
		},
		{
			rodzajFrezowania: 2,
			rodzajObrobki: 1,
			material: 1,
			chropowatosc: 4,
			tolerancja: 4,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 40,
			params: {
				name: "CoroMill 331 R331.35C-040A16CM060",
				plate: "R331.1A-04 35 15H-WL1040",
				predkoscObrotowaWrzeciona: 1790,
				predkoscSkrawania: 225,
				predkoscPosuwu: 542,
				posuwNaOstrze: 0.151,
				posuwNaObrot: 0.303,
				wydajnoscObjetosciowa: 7.67,
			},
		},
		{
			rodzajFrezowania: 1,
			rodzajObrobki: 1,
			material: 0,
			chropowatosc: 8,
			tolerancja: 1,
			glebokoscSkrawania: 10,
			szerokoscSkrawania: 25,
			params: {
				name: "CoroMill 790 R790-025A25S2-16L",
				plate: "R790-160408PH-PL 1130",
				predkoscObrotowaWrzeciona: 4090,
				predkoscSkrawania: 321,
				predkoscPosuwu: 3270,
				posuwNaOstrze: 0.4,
				posuwNaObrot: 0.799,
				wydajnoscObjetosciowa: 3.27,
			},
		},
		{
			rodzajFrezowania: 2,
			rodzajObrobki: 0,
			material: 0,
			chropowatosc: 5,
			tolerancja: 2,
			glebokoscSkrawania: 10,
			szerokoscSkrawania: 50,
			params: {
				name: "CoroMill 331 R331.35C-051M25EMA06",
				plate: "L331.1A-05 45 15H-WL1130",
				predkoscObrotowaWrzeciona: 1950,
				predkoscSkrawania: 311,
				predkoscPosuwu: 736,
				posuwNaOstrze: 0.126,
				posuwNaObrot: 0.377,
				wydajnoscObjetosciowa: 47.6,
			},
		},
		{
			rodzajFrezowania: 0,
			rodzajObrobki: 0,
			material: 2,
			chropowatosc: 9,
			tolerancja: 2,
			glebokoscSkrawania: 1,
			szerokoscSkrawania: 25,
			params: {
				name: "CoroMill 210 R210-025T12-09M",
				plate: "R210-09 04 12M-PM 1010",
				predkoscObrotowaWrzeciona: 3360,
				predkoscSkrawania: 250,
				predkoscPosuwu: 5380,
				posuwNaOstrze: 0.8,
				posuwNaObrot: 1.6,
				wydajnoscObjetosciowa: 49.8,
			},
		},
	],
};
